%define dist .el5

%define gtk2_version 2.6.0
%define pygtk2_version 2.5.3-2
%define gnome_python2_version 2.6.0-5

%{!?python_sitearch: %define python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")}

%define sabayon_user_uid 86

Name:    sabayon
Version: 2.12.4
Release: 5%{?dist}.XOS.1
Summary: Tool to maintain user profiles in a GNOME desktop

Group:   Applications/System
License: GPL
URL:     http://www.gnome.org/projects/sabayon
Source:  http://ftp.gnome.org/pub/GNOME/sources/sabayon/%{version}/sabayon-%{version}.tar.bz2
Source2: sabayon.pam

BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

# Xnest crashes unless we disable the Composite extension
Patch1:  sabayon-2.12.3-xnestbug.patch
# Switch from pythondir to pyexecdir
Patch2:  sabayon-2.12.4-libdir.patch

# Backport fixes and translations from svn, up to 2.18.1
Patch10: sabayon-update-543.patch
Patch11: sabayon-update-570.patch
Patch12: sabayon-update-589.patch
Patch13: sabayon-update-590.patch
Patch14: sabayon-update-593.patch
Patch15: sabayon-update-595.patch
Patch16: sabayon-update-598.patch
Patch17: sabayon-update-620.patch
Patch18: sabayon-update-621.patch
Patch19: sabayon-update-686.patch
Patch20: sabayon-update-pofiles.patch

Requires: %{name}-apply = %{version}-%{release}
Requires: libxml2-python
Requires: pygtk2 >= %{pygtk2_version}
Requires: usermode
Requires: gnome-python2-gconf >= %{gnome_python2_version}

# Old package name
Provides: sabayon-admin
Obsoletes: sabayon-admin

BuildRequires: python-devel
BuildRequires: pygtk2-devel
BuildRequires: gtk2-devel
BuildRequires: libX11-devel
BuildRequires: libXt-devel
BuildRequires: gettext
BuildRequires: desktop-file-utils
BuildRequires: usermode
BuildRequires: xorg-x11-server-Xnest
# Needed to pick up the right Xsession file
BuildRequires: xorg-x11-xinit

# Needed for patch 2 (libdir fix)
BuildRequires: automake
BuildRequires: autoconf

# Required by intltool
BuildRequires: perl-XML-Parser

Requires(post):  shadow-utils
Requires(preun): shadow-utils

Requires(post):   gtk2 >= %{gtk2_version}
Requires(postun): gtk2 >= %{gtk2_version}

%description
Sabayon is a tool to help sysadmins and user change and maintain the
default behaviour of the GNOME desktop. This package contains the
graphical tools which a sysadmin use to manage Sabayon profiles.

%package  apply
Summary:  The parts of sabayon needed on the client systems
Group:    Applications/System

Requires: xorg-x11-server-Xnest
Requires: shadow-utils
Requires: python-ldap
Requires: gamin-python

%description apply
Sabayon is a tool to help sysadmins and user change and maintain the
default behaviour of the GNOME desktop. This package contains the files
that need to be installed on the client systems.

%prep
%setup -q
# More modern pam file
cp %{SOURCE2} admin-tool/

%patch1 -p1 -b .xnestbug
%patch2 -p0 -b .libdir

%patch10 -p0 -b .543
%patch11 -p0 -b .570
%patch12 -p0 -b .589
%patch13 -p0 -b .590
%patch14 -p0 -b .593
%patch15 -p0 -b .595
%patch16 -p0 -b .598
%patch17 -p0 -b .620
%patch18 -p0 -b .621
%patch19 -p0 -b .686
cd po
%patch20 -p0 -b .pofiles
cd ..

%build
# Needed for patch 2 (libdir fix)
automake
autoconf

%configure					\
	--enable-consolehelper=yes		\
	 --with-prototype-user=%{name}
make %{?_smp_mflags}
gzip -9 ChangeLog

%install
rm -rf $RPM_BUILD_ROOT

%makeinstall PAM_PREFIX=$RPM_BUILD_ROOT%{_sysconfdir}

mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/gconf/2
echo 'include "$(HOME)/.gconf.path.defaults"'  > $RPM_BUILD_ROOT%{_sysconfdir}/gconf/2/local-defaults.path
echo 'include "$(HOME)/.gconf.path.mandatory"' > $RPM_BUILD_ROOT%{_sysconfdir}/gconf/2/local-mandatory.path

desktop-file-install --vendor gnome --delete-original		\
  --dir $RPM_BUILD_ROOT%{_datadir}/applications			\
  --add-category X-Fedora-Extra					\
  $RPM_BUILD_ROOT%{_datadir}/applications/%{name}.desktop

# We don't want these
rm -f $RPM_BUILD_ROOT%{python_sitearch}/%{name}/xlib.la
rm -f $RPM_BUILD_ROOT%{python_sitearch}/%{name}/xlib.a

rm -f $RPM_BUILD_ROOT%{_bindir}/%{name}
ln -s consolehelper $RPM_BUILD_ROOT%{_bindir}/%{name}

%find_lang sabayon

%clean
rm -rf $RPM_BUILD_ROOT

%pre
/usr/sbin/groupadd -g %{sabayon_user_uid} -r %{name} &>/dev/null || :
/usr/sbin/useradd  -r -u %{sabayon_user_uid} -s /sbin/nologin -c "Sabayon user" -g %{name} %{name} &>/dev/null || :
# Delete the old sabayon-admin user
/usr/sbin/usermod -d "" %{name}-admin &>/dev/null || :

%post
touch --no-create %{_datadir}/icons/hicolor
if [ -x /usr/bin/gtk-update-icon-cache ]; then
  gtk-update-icon-cache -q %{_datadir}/icons/hicolor
fi

%postun
touch --no-create %{_datadir}/icons/hicolor
if [ -x /usr/bin/gtk-update-icon-cache ]; then
  gtk-update-icon-cache -q %{_datadir}/icons/hicolor
fi

if [ $1 -eq 0 ]; then
  /usr/sbin/userdel  %{name} &>/dev/null || :
  /usr/sbin/groupdel %{name} &>/dev/null || :
fi


%files apply -f sabayon.lang
%defattr(-, root, root, 755)

%doc AUTHORS ChangeLog.gz NEWS README TODO ISSUES
# Wasn't in tarball for 2.12.3: sabayon.schema

%config(noreplace) %{_sysconfdir}/gconf/2/local-defaults.path
%config(noreplace) %{_sysconfdir}/gconf/2/local-mandatory.path
%config(noreplace) %{_sysconfdir}/X11/xinit/xinitrc.d/%{name}*

%{_sysconfdir}/desktop-profiles

%{_sbindir}/%{name}-apply

%dir %{python_sitearch}/%{name}/
%{python_sitearch}/%{name}/__init__.py
%{python_sitearch}/%{name}/__init__.pyc
%ghost %{python_sitearch}/%{name}/__init__.pyo
%{python_sitearch}/%{name}/config.py
%{python_sitearch}/%{name}/config.pyc
%ghost %{python_sitearch}/%{name}/config.pyo
%{python_sitearch}/%{name}/cache.py
%{python_sitearch}/%{name}/cache.pyc
%ghost %{python_sitearch}/%{name}/cache.pyo
%{python_sitearch}/%{name}/dirmonitor.py
%{python_sitearch}/%{name}/dirmonitor.pyc
%ghost %{python_sitearch}/%{name}/dirmonitor.pyo
%{python_sitearch}/%{name}/mozilla_bookmarks.py
%{python_sitearch}/%{name}/mozilla_bookmarks.pyc
%ghost %{python_sitearch}/%{name}/mozilla_bookmarks.pyo
%{python_sitearch}/%{name}/storage.py
%{python_sitearch}/%{name}/storage.pyc
%ghost %{python_sitearch}/%{name}/storage.pyo
%{python_sitearch}/%{name}/userdb.py
%{python_sitearch}/%{name}/userdb.pyc
%ghost %{python_sitearch}/%{name}/userdb.pyo
%{python_sitearch}/%{name}/userprofile.py
%{python_sitearch}/%{name}/userprofile.pyc
%ghost %{python_sitearch}/%{name}/userprofile.pyo
%{python_sitearch}/%{name}/util.py
%{python_sitearch}/%{name}/util.pyc
%ghost %{python_sitearch}/%{name}/util.pyo

%dir %{python_sitearch}/%{name}/sources
%{python_sitearch}/%{name}/sources/*.py
%{python_sitearch}/%{name}/sources/*.pyc
%ghost %{python_sitearch}/%{name}/sources/*.pyo

%files
%doc doc/index.html doc/testing.html doc/helping.html doc/developing.html
%doc doc/sabayon.css doc/*.jpg doc/*.gif

%config(noreplace) %{_sysconfdir}/pam.d/%{name}
%config(noreplace) %{_sysconfdir}/security/console.apps/%{name}

%{_bindir}/%{name}
%{_sbindir}/%{name}
%{_libexecdir}/%{name}*

%{_datadir}/%{name}/glade/*.glade
%{_datadir}/applications/gnome-%{name}.desktop
%{_datadir}/icons/hicolor/48x48/apps/%{name}.png

%{python_sitearch}/%{name}/xlib.so

%{python_sitearch}/%{name}/aboutdialog.py
%{python_sitearch}/%{name}/aboutdialog.pyc
%ghost %{python_sitearch}/%{name}/aboutdialog.pyo
%{python_sitearch}/%{name}/changeswindow.py
%{python_sitearch}/%{name}/changeswindow.pyc
%ghost %{python_sitearch}/%{name}/changeswindow.pyo
%{python_sitearch}/%{name}/editorwindow.py
%{python_sitearch}/%{name}/editorwindow.pyc
%ghost %{python_sitearch}/%{name}/editorwindow.pyo
%{python_sitearch}/%{name}/fileviewer.py
%{python_sitearch}/%{name}/fileviewer.pyc
%ghost %{python_sitearch}/%{name}/fileviewer.pyo
%{python_sitearch}/%{name}/gconfviewer.py
%{python_sitearch}/%{name}/gconfviewer.pyc
%ghost %{python_sitearch}/%{name}/gconfviewer.pyo
%{python_sitearch}/%{name}/profilesdialog.py
%{python_sitearch}/%{name}/profilesdialog.pyc
%ghost %{python_sitearch}/%{name}/profilesdialog.pyo
%{python_sitearch}/%{name}/protosession.py
%{python_sitearch}/%{name}/protosession.pyc
%ghost %{python_sitearch}/%{name}/protosession.pyo
%{python_sitearch}/%{name}/saveconfirm.py
%{python_sitearch}/%{name}/saveconfirm.pyc
%ghost %{python_sitearch}/%{name}/saveconfirm.pyo
%{python_sitearch}/%{name}/sessionwidget.py
%{python_sitearch}/%{name}/sessionwidget.pyc
%ghost %{python_sitearch}/%{name}/sessionwidget.pyo
%{python_sitearch}/%{name}/sessionwindow.py
%{python_sitearch}/%{name}/sessionwindow.pyc
%ghost %{python_sitearch}/%{name}/sessionwindow.pyo
%{python_sitearch}/%{name}/usermod.py
%{python_sitearch}/%{name}/usermod.pyc
%ghost %{python_sitearch}/%{name}/usermod.pyo
%{python_sitearch}/%{name}/usersdialog.py
%{python_sitearch}/%{name}/usersdialog.pyc
%ghost %{python_sitearch}/%{name}/usersdialog.pyo
%{python_sitearch}/%{name}/lockdownappliersabayon.py
%{python_sitearch}/%{name}/lockdownappliersabayon.pyc
%ghost %{python_sitearch}/%{name}/lockdownappliersabayon.pyo

%dir %{python_sitearch}/%{name}/lockdown
%{python_sitearch}/%{name}/lockdown/*.py
%{python_sitearch}/%{name}/lockdown/*.pyc
%ghost %{python_sitearch}/%{name}/lockdown/*.pyo

%changelog
* Sat Dec 08 2007 X/OS Linux Team <xoslinux@xos.nl> - 2.12.4-5.el5.XOS.1
- Build for X/OS Linux 5.
- X/OS Linux source rpm based on sabayon-2.12.4-5.el5.src.rpm
  (md5sum of original source rpm: cdff438e8e00125b2675407260adf283).
- Include "dist" macro with value ".el5" to match the original release number.

* Mon Jun 25 2007  <alexl@redhat.com> - 2.12.4-5.el5
- Fix applying of sabayon-pofiles-update.patch

* Wed May  2 2007 Alexander Larsson <alexl@redhat.com> - 2.12.4-4.el5
- Backport fixes and translations from 2.18.1
- Fix gamin-python and python-ldap requirements (#233305)

* Mon Jul 31 2006 Matthias Clasen <mclasen@redhat.com> - 2.14.2-3.el5
- Import, retag

* Thu Jul 27 2006 Alexander Larsson <alexl@redhat.com> - 2.12.4-2
- Fix multilib issues

* Thu Jul 27 2006 Alexander Larsson <alexl@redhat.com> - 2.12.4-1
- Update to 2.14.4
- Ghost .pyo files
- Use a more modern pam file
- Remove macros from changelog
- Add usermode dependency
- Made sabayon symlink relative
- Add dist tag

* Tue Jul 25 2006 Alexander Larsson <alexl@redhat.com> - 2.12.3-5
- Rename sabayon-admin user to sabayon (< 8 chars)
- Use registered uid/gid for user
- Rename sabayon-admin package to sabayon, sabayon becomes sabayon-apply
- Add workaround for Xnest crash in rawhide

* Mon Jul 24 2006  <markmc@localhost.localdomain> - 2.12.3-4
- Remove FC4 stuff
- Add BuildRequires for autoconf and perl-XML-Parser
- Remove python-abi Requires

* Thu Mar  9 2006 Alexander Larsson <alexl@redhat.com> - 2.12.3-3
- Add xorg-x11-xinit build-req so configure picks the
  right Xsession script

* Tue Mar  7 2006 Alexander Larsson <alexl@redhat.com> - 2.12.3-2
- Add libXt-devel buildreq

* Mon Mar  6 2006 Alexander Larsson <alexl@redhat.com> - 2.12.3-1
- update to 2.12.3
- Fix Xnest dependency with modular X
- Fix Xsession script being moved in FC5
- Remove sabayon.schema from doc, as it wasn't in this release

* Thu Nov 17 2005 Alexander Larsson <alexl@redhat.com> - 2.12.2-2
- Update to 2.12.2

* Fri Nov  4 2005 Alexander Larsson <alexl@redhat.com> - 2.12.1-1
- Update

* Sun Oct 16 2005 Daniel Veillard <veillard@redhat.com> - 2.12.0-1
- update to 2.12.0 release

* Mon May 23 2005 Mark McLoughlin <markmc@redhat.com> - 2.11.90-1
- Update to 2.11.90
- Don't ghost .pyo files, package them
- We're no longer a noarch package
- BuildRequire python-devel, pygtk2-devel, gtk2-devel and xorg-x11-devel
  for the xlib module
- Add sessionwindow.py, sessionwidget.py, changeswindow.py and
  xlib.so to files
- Remove sabayon-monitor and monitorwindow.py
- Icon is now installed in the icon theme; update the
  icon cache in post and postun
- Require pygtk 2.7.1 in FC5 for MessageDialog fix (gnome #311226)

* Wed May 18 2005 Mark McLoughlin <markmc@redhat.com> - 0.18-1
- Update to 0.18

* Fri Apr  1 2005 Michael Schwendt <mschwendt[AT]users.sf.net> - 0.17-2
- Add missing dir entries.

* Thu Mar 24 2005 Mark McLoughlin <markmc@redhat.com> - 0.17-1
- Update to 0.17
- Pass --with-prototype-user=sabayon-admin to configure

* Mon Mar 21 2005 Mark McLoughlin <markmc@redhat.com> - 0.16-8
- Add BuildRequires: usermode and pass --enable-consolehelper=yes
  to configure

* Mon Mar 21 2005 Mark McLoughlin <markmc@redhat.com> - 0.16-7
- Move Xnest and shadow-utils requires to sabayon-admin
- Require libxml2-python

* Mon Mar 21 2005 Mark McLoughlin <markmc@redhat.com> - 0.16-6
- Make noarch

* Mon Mar 21 2005 Mark McLoughlin <markmc@redhat.com> - 0.16-5
- Add dirmonitor.py to base package

* Sun Mar 20 2005 Mark McLoughlin <markmc@redhat.com> - 0.16-4
- Split the package into sabayon and sabayon-admin
- BuildRequires: gettext instead of gettext-devel

* Sat Mar 19 2005 Mark McLoughlin <markmc@redhat.com> - 0.16-3
- Remove period at the end of the summary
- Specify full URL for source
- BuildRequires: python 
- Use _sysconfdir everywhere
- Set the directory mode

* Fri Mar 18 2005 Mark McLoughlin <markmc@redhat.com> - 0.16-2
- BuildRequires: gettext-devel
- Add X-Fedora-Extra to .desktop file

* Wed Mar 16 2005 Mark McLoughlin <markmc@redhat.com>
- Various changes to bring in line with Fedora package guidelines

* Wed Feb  9 2005 Daniel Veillard <veillard@redhat.com>
- initial version
